<?xml version="1.0" encoding="UTF-8"?>
<!-- This transform converts just enough for this article.  It is not a general DocBook to XHTML script. -->
<xsl:transform version = "1.0" xmlns:xsl = "http://www.w3.org/1999/XSL/Transform">
	<xsl:output
		method = "xml" encoding = "ISO-8859-1" indent = "yes" omit-xml-declaration = "yes"
		doctype-public = "-//W3C//DTD XHTML 1.0 Transitional//EN"
		doctype-system = "http://www.w3.org/TR/xhtml1/DTD/transitional.dtd"/>
	<xsl:template match = "/">
		<html xmlns = "http://www.w3.org/1999/xhtml" xml:lang = "en" lang = "en">
			<head>
				<title><xsl:value-of select="/article/title"/></title>
				<meta name="keywords" content="XML,Ant,Jakarta,Apache,XSLT,Xalan,Saxon,Oracle,XDK"/>
				<meta name="description" content="How to use the Apache Jakarta Ant build utility with XSLT, and how to use it with multiple XSLT engines."/>
				<meta http-equiv = "Content-Language" content = "en-US"/>
				<meta http-equiv = "Content-Type" content = "text/html; charset=iso-8859-1"/>
			</head>
			<body>
				<h2><xsl:value-of select="/article/title"/></h2>
				<xsl:apply-templates select = "/article/sect1"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match = "sect1/title">
		<h3><xsl:value-of select = "."/></h3>
	</xsl:template>
	<xsl:template match = "table[@role = 'xmLP-file']">
		<pre><xsl:apply-templates select = "tgroup/tbody/row/entry/programlisting/node()"/></pre>
	</xsl:template>
	<xsl:template match = "para">
		<p><xsl:apply-templates/></p>
	</xsl:template>
	<xsl:template match = "screen">
		<pre><xsl:value-of select = "."/></pre>
	</xsl:template>
	<xsl:template match = "itemizedlist">
		<ul><xsl:apply-templates/></ul>
	</xsl:template>
	<xsl:template match = "itemizedlist/listitem">
		<li><xsl:apply-templates/></li>
	</xsl:template>
	<xsl:template match = "variablelist">
		<dl><xsl:apply-templates/></dl>
	</xsl:template>
	<xsl:template match = "variablelistentry">
		<dt><xsl:apply-templates select = "term"/></dt>
		<dd><xsl:apply-templates select = "listitem/*"/></dd>
	</xsl:template>
	<xsl:template match = "figure">
		<img src = "{graphic/@fileref}" width = "{graphic/@width}" height = "{graphic/@depth}" alt = "{title}"/>
	</xsl:template>
	<xsl:template match = "ulink">
		<a href = "{@url}"><xsl:value-of select = "."/></a>
	</xsl:template>
	<xsl:template match = "command">
		<code><xsl:value-of select = "."/></code>
	</xsl:template>
	<xsl:template match = "filename">
		<code><xsl:value-of select = "."/></code>
	</xsl:template>
	<xsl:template match = "programlisting/sgmltag">
		<xsl:text/>
		<span class="{concat('xml-',@class)}"><xsl:value-of select = "."/></span>
	</xsl:template>
	<xsl:template match = "programlisting/literal">
		<xsl:text/>
		<xsl:choose>
			<xsl:when test = "normalize-space(.)">
				<span class="{concat('xml-',@role)}"><xsl:value-of select = "."/></span>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select = "."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match = "sgmltag">
		<code><xsl:value-of select = "."/></code>
	</xsl:template>
	<xsl:template match = "classname">
		<code><xsl:value-of select = "."/></code>
	</xsl:template>
	<xsl:template match = "literal">
		<code><xsl:value-of select = "."/></code>
	</xsl:template>
	<xsl:template match = "parameter">
		<code><xsl:value-of select = "."/></code>
	</xsl:template>
	<xsl:template match = "para/property">
		<code><xsl:value-of select = "."/></code>
	</xsl:template>
</xsl:transform>
